openssl: Don't refer to EVP_des_ecb() if OpenSSL is built without DES support
authorTobias Brunner <tobias@strongswan.org>
Fri, 17 Apr 2015 15:34:22 +0000 (17:34 +0200)
committerTobias Brunner <tobias@strongswan.org>
Fri, 17 Apr 2015 15:43:58 +0000 (17:43 +0200)
commitf9342fac8f315f43a9c18ff7c623fbddb450928c
tree62f7526f849fd1efa1fe0dfde9f5e7b0e1fa3ead
parentbef227c580f66e30ff6254f87209a799e6302251
openssl: Don't refer to EVP_des_ecb() if OpenSSL is built without DES support

While DES-ECB is not registered by the plugin in this case (so the
function will never actually be called), the compiler still warns
about the implicitly declared function.
src/libstrongswan/plugins/openssl/openssl_crypter.c